// 常量 更多是用大写来代替
// url不用写完整的, 已经在http封装配置好了

// 首页轮播图
const SWIPERDATA_URL = "/home/swiperdata"
// 首页导航
const CATITEMS_URL = "/home/catitems"
// 首页楼层
const FLOORDATA_URL = "/home/floordata"

// 分类
const CATEGORIES_URL = "/categories"

// 商品页列表搜索
const GOODS_SEARCH_URL = '/goods/search'

// 此处第二个参数vm，就是我们在页面使用的this，你可以通过vm获取vuex等操作
const install = (Vue, vm) => {

  // 首页
  const getSwiperdata = (params = {}) => vm.$u.get(SWIPERDATA_URL, params)
  const getCatitems = (params = {}) => vm.$u.get(CATITEMS_URL, params)
  const getFloordata = (params = {}) => vm.$u.get(FLOORDATA_URL, params)

  // 分类页
  const getCategories = (params = {}) => vm.$u.get(CATEGORIES_URL, params)

  // 商品页
  // 商品列表搜索
  const getGoods = (params = {}) => vm.$u.get(GOODS_SEARCH_URL, params)

  // 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
  vm.$u.api = { getSwiperdata, getCatitems, getFloordata, getCategories, getGoods }
}

export default {
  install,
}
